
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This change had fixed initialization error in arch/mips/vr41xx/common/icu.c

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/vr41xx/common/icu.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff -puN arch/mips/vr41xx/common/icu.c~mips-fixed-initialization-error arch/mips/vr41xx/common/icu.c
--- 25/arch/mips/vr41xx/common/icu.c~mips-fixed-initialization-error	Fri Sep 17 16:52:01 2004
+++ 25-akpm/arch/mips/vr41xx/common/icu.c	Fri Sep 17 16:52:01 2004
@@ -51,6 +51,12 @@ extern void giuint_irq_dispatch(struct p
 static uint32_t icu1_base;
 static uint32_t icu2_base;
 
+static struct irqaction icu_cascade = {
+	.handler	= no_action,
+	.mask		= CPU_MASK_NONE,
+	.name		= "cascade",
+};
+
 static unsigned char sysint1_assign[16] = {
 	0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 };
 static unsigned char sysint2_assign[16] = {
@@ -674,8 +680,6 @@ early_initcall(vr41xx_icu_init);
 
 /*=======================================================================*/
 
-static struct irqaction icu_cascade = {no_action, 0, 0, "cascade", NULL, NULL};
-
 static inline void init_vr41xx_icu_irq(void)
 {
 	int i;
_
